datablock TSShapeConstructor(CoasterDts)
{
	baseShape  = "./Coaster.dts";
	sequence0  = "./Coaster_root.dsq root";

	sequence1  = "./Coaster_root.dsq run";
	sequence2  = "./Coaster_root.dsq walk";
	sequence3  = "./Coaster_root.dsq back";
	sequence4  = "./Coaster_root.dsq side";

	sequence5  = "./Coaster_root.dsq crouch";
	sequence6  = "./Coaster_root.dsq crouchRun";
	sequence7  = "./Coaster_root.dsq crouchBack";
	sequence8  = "./Coaster_root.dsq crouchSide";

	sequence9  = "./Coaster_root.dsq look";
	sequence10 = "./Coaster_root.dsq headside";
	sequence11 = "./Coaster_root.dsq headUp";

	sequence12 = "./Coaster_root.dsq jump";
	sequence13 = "./Coaster_root.dsq standjump";
	sequence14 = "./Coaster_root.dsq fall";
	sequence15 = "./Coaster_root.dsq land";

	sequence16 = "./Coaster_root.dsq armAttack";
	sequence17 = "./Coaster_root.dsq armReadyLeft";
	sequence18 = "./Coaster_root.dsq armReadyRight";
	sequence19 = "./Coaster_root.dsq armReadyBoth";
	sequence20 = "./Coaster_root.dsq spearready";  
	sequence21 = "./Coaster_root.dsq spearThrow";

	sequence22 = "./Coaster_root.dsq talk";  

	sequence23 = "./Coaster_root.dsq death1"; 
	
	sequence24 = "./Coaster_root.dsq shiftUp";
	sequence25 = "./Coaster_root.dsq shiftDown";
	sequence26 = "./Coaster_root.dsq shiftAway";
	sequence27 = "./Coaster_root.dsq shiftTo";
	sequence28 = "./Coaster_root.dsq shiftLeft";
	sequence29 = "./Coaster_root.dsq shiftRight";
	sequence30 = "./Coaster_root.dsq rotCW";
	sequence31 = "./Coaster_root.dsq rotCCW";

	sequence32 = "./Coaster_root.dsq undo";
	sequence33 = "./Coaster_root.dsq plant";

	sequence34 = "./Coaster_root.dsq sit";

	sequence35 = "./Coaster_root.dsq wrench";

   sequence36 = "./Coaster_root.dsq activate";
   sequence37 = "./Coaster_root.dsq activate2";

   sequence38 = "./Coaster_root.dsq leftrecoil";
};    

datablock DebrisData(CoasterDebris )
{
   explodeOnMaxBounce = false;

   elasticity = 0.15;
   friction = 0.5;

   lifetime = 4.0;
   lifetimeVariance = 0.0;

   minSpinSpeed = 40;
   maxSpinSpeed = 600;

   numBounces = 5;
   bounceVariance = 0;

   staticOnMaxBounce = true;
   gravModifier = 1.0;

   useRadiusMass = true;
   baseRadius = 1;

   velocity = 20.0;
   velocityVariance = 12.0;
};             

datablock PlayerData(CoasterArmor)
{
   renderFirstPerson = false;
   emap = false;
   
   className = Armor;
   shapeFile = "./Coaster.dts";
   cameraMaxDist = 8;
   cameraTilt = 0.261;//0.174 * 2.5; //~25 degrees
   cameraVerticalOffset = 2.3;
   computeCRC = false;
  
   canObserve = true;
   cmdCategory = "Clients";

   cameraDefaultFov = 90.0;
   cameraMinFov = 5.0;
   cameraMaxFov = 120.0;
   
   //debrisShapeName = "~/data/shapes/player/debris_player.dts";
   //debris = CoasterDebris;

   aiAvoidThis = true;

   minLookAngle = -1.5708;
   maxLookAngle = 1.5708;
   maxFreelookAngle = 3.0;

   mass = 90;
   drag = 0.1;
   maxdrag = 0.52;
   density = 0.7;
   maxDamage = 250;
   maxEnergy =  10;
   repairRate = 0.33;
   energyPerDamagePoint = 75.0;

   rechargeRate = 0.4;

   runForce = 28 * 90;
   runEnergyDrain = 0;
   minRunEnergy = 0;
   maxForwardSpeed = 25;
   maxBackwardSpeed = 0;
   maxSideSpeed = 0;

   maxForwardCrouchSpeed = 0;
   maxBackwardCrouchSpeed = 5;
   maxSideCrouchSpeed = 0;

   maxForwardProneSpeed = 0;
   maxBackwardProneSpeed = 0;
   maxSideProneSpeed = 0;

   maxForwardWalkSpeed = 0;
   maxBackwardWalkSpeed = 0;
   maxSideWalkSpeed = 0;

   maxUnderwaterForwardSpeed = 0;
   maxUnderwaterBackwardSpeed = 0;
   maxUnderwaterSideSpeed = 0;

   jumpForce = 0; //8.3 * 90;
   jumpEnergyDrain = 0;
   minJumpEnergy = 0;
   jumpDelay = 0;

   minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;

   recoverDelay = 0;
   recoverRunForceScale = 1.2;

   minImpactSpeed = 250;
   speedDamageScale = 3.8;

   boundingBox			= vectorScale("3 4 2.5", 4); //"2.5 2.5 2.4";

   pickupRadius = 0.75;
   
   // Damage location details
   boxNormalHeadPercentage       = 0.83;
   boxNormalTorsoPercentage      = 0.49;
   boxHeadLeftPercentage         = 0;
   boxHeadRightPercentage        = 1;
   boxHeadBackPercentage         = 0;
   boxHeadFrontPercentage        = 1;

   // Foot Prints
   //decalData   = CoasterFootprint;
   //decalOffset = 0.25;
	
   jetEmitter = "";
   jetGroundEmitter = "";
   jetGroundDistance = 4;
  
   //footPuffEmitter = LightPuffEmitter;
   footPuffNumParts = 10;
   footPuffRadius = 0.25;

   //dustEmitter = LiftoffDustEmitter;

   splash = PlayerSplash;
   splashVelocity = 4.0;
   splashAngle = 67.0;
   splashFreqMod = 300.0;
   splashVelEpsilon = 0.60;
   bubbleEmitTime = 0.1;
   splashEmitter[0] = PlayerFoamDropletsEmitter;
   splashEmitter[1] = PlayerFoamEmitter;
   splashEmitter[2] = PlayerBubbleEmitter;
   mediumSplashSoundVelocity = 10.0;   
   hardSplashSoundVelocity = 20.0;   
   exitSplashSoundVelocity = 5.0;

   // Controls over slope of runnable/jumpable surfaces
   runSurfaceAngle  = 85;
   jumpSurfaceAngle = 86;

   horizMaxSpeed = 68;
   horizResistSpeed = 33;
   horizResistFactor = 0.35;

   upMaxSpeed = 80;
   upResistSpeed = 25;
   upResistFactor = 0.3;
   
   footstepSplashHeight = 0.35;

   //NOTE:  some sounds commented out until wav's are available

   JumpSound			= blank;

   // Footstep Sounds
//   FootSoftSound        = CoasterFootFallSound;
//   FootHardSound        = CoasterFootFallSound;
//   FootMetalSound       = CoasterFootFallSound;
//   FootSnowSound        = CoasterFootFallSound;
//   FootShallowSound     = CoasterFootFallSound;
//   FootWadingSound      = CoasterFootFallSound;
//   FootUnderwaterSound  = CoasterFootFallSound;
   //FootBubblesSound     = FootLightBubblesSound;
   //movingBubblesSound   = ArmorMoveBubblesSound;
   //waterBreathSound     = WaterBreathMaleSound;

   //impactSoftSound      = ImpactLightSoftSound;
   //impactHardSound      = ImpactLightHardSound;
   //impactMetalSound     = ImpactLightMetalSound;
   //impactSnowSound      = ImpactLightSnowSound;
   
   impactWaterEasy      = Splash1Sound;
   impactWaterMedium    = Splash1Sound;
   impactWaterHard      = Splash1Sound;
   
   groundImpactMinSpeed    = 10.0;
   groundImpactShakeFreq   = "4.0 4.0 4.0";
   groundImpactShakeAmp    = "1.0 1.0 1.0";
   groundImpactShakeDuration = 0.8;
   groundImpactShakeFalloff = 10.0;
   
   //exitingWater         = ExitingWaterLightSound;
   
   observeParameters = "0.5 4.5 4.5";

   // Inventory Items
	maxItems   = 10;	//total number of bricks you can carry
	maxWeapons = 5;		//this will be controlled by mini-game code
	maxTools = 5;
	
	uiName = "Coaster";
	rideable = true;
		lookUpLimit = 0.6;
		lookDownLimit = 0.2;

	canRide = false;
	showEnergyBar = false;
	paintable = true;

	brickImage = CoasterBrickImage;	//the imageData to use for brick deployment

   numMountPoints = 4;
   mountThread[0] = "sit";
   mountNode[0] = 0;
   mountThread[1] = "sit";
   mountNode[1] = 1;
   mountThread[2] = "sit";
   mountNode[2] = 3;
   mountThread[3] = "sit";
   mountNode[3] = 4;
};


function CoasterArmor::onAdd(%this,%obj)
{
   // Vehicle timeout
   %obj.mountVehicle = true;

   // Default dynamic armor stats
   %obj.setRepairRate(0);

}